Welcome

Welcome to Advanced System Optimizer

Thank you for choosing Systweak Advanced System Optimizer. Whether you simply want to optimize your system or get rid of junk collected in your system with as little effort as possible or want the backup your system files with a single click recovery option, or protect your privacy, Advanced System Optimizer is the tool of choice. No other program is as feature-rich, yet as easy to set up and use as Advanced System Optimizer.

Computers need maintenance.

Computer is also a machine and like all other machines it needs maintenance. Computers are not like ordinary machines but are intelligent machines. They require systematic servicing and maintenance. Computers will begin to run poorly and even "break down" if not well taken care of and maintained. People maintain their automobiles because of the large investment they have in them but most fail to maintain their computer systems despite the similar large investment.

Many people are not entirely familiar with the procedures of maintenance that must be performed in order to service computer systems properly, and most system technicians will agree that the necessary tools are not included with the operating system. Advanced System Optimizer is a complete collection of all of the necessary tools to keep your system running smooth, fast, and error free.

Use Advanced System Optimizer regularly and we promise you will be amazed at how much better your computer runs.

Take a look at Advanced System Optimizer's arsenal of powerful tools.

  • How to Purchase Advance System Optimizer

  • Advanced System Optimizer - Order Form

  • Registry Defrager and Optimizer

    • When to Use Registry Defrager and Optimizer and Defrager

    • How much space I will gain...

    • Steps to optimize registry

  • System Cleaner and Optimizer

    • When should I use System Cleaner and Optimizer

    • How to use System Cleaner and Optimizer

    • Starting the Scan

    • Stopping the Scan in between

    • Removing the invalid files

    • Selecting Drives to Scan

    • Selecting the files search

    • Specifying the folders to be skipped from search

    • Other Considerations

    • Safety Options - How to remove invalid files

  • System Files Backup and Restore

    • Backup Process

    • Importing old backups or backup of other users

    • Restore Process

  • Registry Cleaner and Fixer

    • When should I use Registry Cleaner and Fixer

    • How to use Registry Cleaner and Fixer

    • Setting Up Options - What to search

    • Starting Registry Cleaner and Fixer

    • Stopping Registry Cleaner and Fixer

    • Removing Invalid Data

    • Undo Changes Information

  • Privacy Protector and Evidence Eraser

    • When to use Privacy Protector and Evidence Eraser

    • Important Laws to keep your computer safe and secure

    • Using Privacy Protector and Evidence Eraser

    • Windows and History Traces

    • Internet Related Traces

    • Explorer and Start Menu Traces

    • Files and Folder Traces


Quick Help

Take a look at Advanced System Optimizer's arsenal of powerful tools.

  • How to Purchase Advance System Optimizer

  • Advanced System Optimizer - Order Form

  • Registry Defrager and Optimizer

    • When to Use Registry Defrager and Optimizer and Defrager

    • How much space I will gain...

    • Steps to optimize registry

  • System Cleaner and Optimizer

    • When should I use System Cleaner and Optimizer

    • How to use System Cleaner and Optimizer

    • Starting the Scan

    • Stopping the Scan in between

    • Removing the invalid files

    • Selecting Drives to Scan

    • Selecting the files search

    • Specifying the folders to be skipped from search

    • Other Considerations

    • Safety Options - How to remove invalid files

  • System Files Backup and Restore

    • Backup Process

    • Importing old backups or backup of other users

    • Restore Process

  • Registry Cleaner and Fixer

    • When should I use Registry Cleaner and Fixer

    • How to use Registry Cleaner and Fixer

    • Setting Up Options - What to search

    • Starting Registry Cleaner and Fixer

    • Stopping Registry Cleaner and Fixer

    • Removing Invalid Data

    • Undo Changes Information

  • Privacy Protector and Evidence Eraser

    • When to use Privacy Protector and Evidence Eraser

    • Important Laws to keep your computer safe and secure

    • Using Privacy Protector and Evidence Eraser

    • Windows and History Traces

    • Internet Related Traces

    • Explorer and Start Menu Traces

    • Files and Folder Traces


Registration Information

Registration Information for Advanced System Optimizer

Systweak uses RegSoft Registration service, which is a well-known company for online money transfer, to process your order. Regsoft has several payment options:

  • Visa, MasterCard/Euro Card, American Express, Diners Club;

  • Bank transfer/Wire;

  • Check;

  • Cash;

What are the benefits of Registration?

  • Free unlimited access to telephone, e-mail, web, and fax based technical support privileges.

  • Free upgrades / Updates and all service releases / fixes.

  • Discount on other Systweak Products.

How much does it cost?

  • Single Computer License: US$ 39.95 Register online now on Secure Server

  • Site licenses price per copy are as follows

    5 to 9 Copies

    $35.00

    10 to 24 Copies

    $31.00

    25 to 49 Copies

    $27.00

    50 to 99 Copies

    $21.00

    100 and above

    $18.00

Register online now on Secure Server

There are several ways to order:

  • Internet: Ordering via Internet is extremely simple and fast. Just go to http://www.regsoft.net/purchase.php3?productid=52021 (You'll need Internet Explorer 4.0 or Netscape 3.0 or higher to order via credit card).

  • Phone and Fax:

RegSoft.com Phone Order Line - available 24/7 (Orders ONLY) :
U.S. and Canada : 1-877-REGSOFT (1-877-734-7638)
International : 1-770-319-2718
RegSoft.com Fax Order Line - available 24/7 :
US Toll-Free Fax Number : 1-800-886-6030
International Fax Number : 1-208-279-3837 (UK Customers can fax to (0870)132-2485)

If you have any questions about ordering procedure, please contact us via email sales@systweak.com .

IMPORTANT: Regsoft only processes registration and does not supply technical support. For technical support please contact: support@systweak.com

For more information contact info@systweak.com
Copyright © Systweak Inc. , 1999-2002 All rights reserved.


Advanced System Optimizer - Order Form

Order By Mail and Fax

Please print out the order form below and fax or mail it to:

RegSoft.com Inc.
 Attn : Registrations
10820 Abbotts Bridge Road
PMB 201, Suite 220
Duluth, GA 30097
USA.

US Toll-Free Fax Number : 1-800-886-6030
International Fax Number : 1-208-279-3837 (UK Customers can fax to (0870)132-2485)
 Register online on Secure Server

Ask for Program ID #52021

ORDER FOR ADVANCED SYSTEM OPTIMIZER (Program ID #52021)
Price: ________

Quantity: ______

Total payment:__________________________________________________________________

            Date:___________

            Name:________________________________________

         Company:________________________________________

         Address:________________________________________

City, State, Zip:________________________________________

         Country:________________________________________

       Day Phone:__________________Eve:__________________

  E-mail address:_________________________________ (REQUIRED)

________________________________________________________________

If paying by credit card:

[ ] Visa    [ ] Mastercard    [ ] Eurocard
[ ] American Express     [ ] Diners Club

   Name on card:________________________________________

       Card no.:________________________________________

Expiration date:________________________________________

      Signature:________________________________________

           Date:________________________________________

If you have any questions about ordering procedure, please contact us via email: sales@systweak.com.

IMPORTANT: Regsoft only processes registration and does not supply technical support. For technical support please contact: support@systweak.com

For more information contact info@systweak.com
Copyright © Systweak Inc. , 1999-2002 All rights reserved.


Introduction

Introduction To Registry Optimizer and Defrager

What Registry Optimizer and Defrager Does

Registry Optimizer and Defrager eliminates the registry fragmentation. It gives you a fresh new registry with no holes, no redolent data.

Advantages of Registry Optimizer and Defrager

  • Builds a brand new registry from the old one.

  • Improves System Response Time.

  • Saves Memory as smaller registry consumes less memory.

  • Privacy Protector. Removes the deleted data from the registry permanently.

  • Improves Application response time.

  • Improves boot time.

  • Prevents the registry corruption.

The Windows Registry

The registry plays a key role in the configuration and control of Windows 2000 systems. It is the repository for both system wide and per-user settings. The data in the registry is stored in more than one file, each file called a hive.

Windows and most programs store their configuration data in the registry. Over time, as programs are used, installed and uninstalled, the registry becomes fragmented. Think of Registry Database as a chart with rows and columns in a big queue. When an entry is removed, the entry is made into a blank entry with no data. It still occupies the same amount of space that it occupied before. This is necessary so that the information below it is still in the same place. When new items are added to the registry, they are added at the bottom in a queue. So over time, the registry ends up with a lot of blank cells. This situation is similar to disk fragmentation, which occurs when the system creates and deletes files on the disk. It can also be explained by this simple image.

This has a significant impact on the performance of Windows and programs that make heavy use of the registry. It is most evident at boot time and when running programs that use lots of COM classes (such as Microsoft Office, Internet Explorer, Visual Studio and lots of commercial software). Whenever you install software data is written to the registry so the software can later be uninstalled.


When to Use Registry Optimizer and Defrager

Over time, Windows Registry will grow and grow even though no new software has been installed or uninstalled. This is because most programs including Windows store there Data in the registry. Every update to registry makes the registry grow as old data is deleted and new data is inserted. This makes the windows slow and decreases response of all the programs using the registry.

To solve all these problems we recommend you to go for Registry Defrag:

  • Every 30 days.

  • When new software is installed.

  • When existing software is uninstalled or removed.


How much space I will gain...

This is not an easy question. Besides space optimization there are other benefits. The obvious advantage here is that data is fully defragmented and is linear. So the access is fast which results in better response time.

Sometimes the space benefits will be only in the range of 1% to 3% of total registry size. But what we will get is complete linear registry without any fragmentation, bad data.

Our tests on Windows NT/2000/XP where registry size is sometimes above 25 MB the space benefit 768 KB 3% which is approx 1 MB is also huge performance improvement. It not only saves 1 MB precious memory but also huge performance improvement.


Steps to optimize registry

Optimizing registry is simply a two step process. When you see the registry optimizer and defrager Window it has two buttons of our interest.

  • Compact Results

  • Optimize Now

Compact Results

This is the first step to continue with the registry compactation. It will compact the registry and give you the detailed information about the original un-optimized registry and optimized registry. Registry is not compacted or replaced now. It is only to show you brief summary and results of optimization process. You may discard the changes at any time by exiting the Registry Optimizer and Defrager.

Optimize Now

Optimize Now, Defrags the registry in the background. To replace your un-optimized registry with the optimized one you will have to restart your system. Registry Optimizer and Defrager will ask you to restart your system. Please note that if you skip to restart your system you will still be using your un-optimized registry.

Important Notes:

While compactation process you may notice slowdown or some of your programs not responding. It is perfectly normal as only one program is allowed to access the registry. Registry Optimizer and Defrager to prevent errors locks the registry during optimization process.


Introduction to System Cleaner and Optimizer

Windows applications create several files on your hard drive for temporarily storing the data. These files are supposed to be removed when application terminates. Often, they don’t because of a program error, sloppy architecture, your system is reset or not shut down properly, or another application locks up or crash. It is important to know that any file that is left behind in this manner will remain on your system unless you manually search for it and remove it. Over time, these junk and obsolete files can accumulate to megabytes of wasted hard drive space, as well as turn into potential error-producing cross-linked drive references. System Cleaner and Optimizer targets these specific types of files which are missed by common disk utilities, Uninstaller, Defrag and Scandisk etc.

As well as wasting space on your system, obsolete and junk files can produce very hazardous results if not properly cleaned from your drive on a periodic basis.

The symptoms that these garbage files can produce include:

  • Lost data.

  • Cross-linked drive references.

  • Sudden application lock ups.

  • Fatal Errors in your applications.

  • Virus like behavior.

  • Mysterious Reboots.

System Cleaner and Optimizer by removing these files eliminates such errors.


When should I use this utility

When should I use System Cleaner and Optimizer

Over time, computer system’s hard drive space will seem to shrink, even though no new software has been installed. This is almost always a direct result of junk and obsolete file accumulation. We recommend that you clean your drive(s) of these files at least once a month. You need to run System Cleaner and Optimizer:

  • Once a month.

  • Whenever new software is installed and used for a first time.

  • When a software in uninstalled to remove garbage its files left.

  • Whenever you feel that your hard disk space is shrinking.


How to use System Cleaner and Optimizer

The default options of System Cleaner and Optimizer are best. You only have to press the Start button and it will start its hard work. It will search every hard disk for a invalid files and show you in the list. You can at any time stop the search process by pressing the stop button.

After the search is complete System Cleaner and Optimizer will show you a complete list of files it has found. You can then check the items you want to delete or press select all to select all the items and press the delete button to delete the files.

You can customize each and every aspect of System Cleaner and Optimizer from the search process till the deletion process. You can customize

  1. Which hard disks / partitions should System Cleaner and Optimizer search for invalid files.

  2. What type of files should System Cleaner and optimizer should search. You can add delete modify the file types.

  3. You can specify which folders you consider safe should not be searched for files.

  4. You can customize safety options like find only old files, skip read only and system files, find Zero length files, and even find the shortcuts that do not point to a valid target.

  5. You can then specify the safety measures. How to delete these files. Send them to Recycle Bin, Directly delete them or Move to a folder where you can study these files.


Starting the Scan

Starting the Scan Process

It can’t be simple than this. Just press the start button and System Cleaner and Optimizer will start its search process. Normally it will take about a minute or so to perform scan on all hard disks on your System. During the scan process System Cleaner and Optimizer will also show you the directories in which it is searching currently.


Stopping the Scan in between…

Sometimes you need to stop the search process. Just press the stop button and System Cleaner and Optimizer will stop immediately. System Cleaner and Optimizer is a completely safe tool, it searches files in the read only mode and will not even touch there contents or modify and delete the files unless you tell it to do so.


Removing the invalid files

When the search process is complete System Cleaner and Optimizer will show you a list of files. Each file will include the following details:

  1. Name and Path of file: Where the file is stored on your system.

  2. Reasons for selecting the file. What are the reasons that the file is here in the list of invalid files. It could be one of the following

    1. Bad file type: The file belongs to invalid category. You can modify these from the options -> Files and customize them.

    2. Invalid Shortcut: A shortcut that does not points to a valid target.

    3. Old File: File is on your system for quite a long time, may be years. You can modify the time limit or disable it from the options.

    4. Empty File: A zero length file. It is a file whose size is zero. You can enable or disable this from the options. Normally it is safe to delete the Zero Length Files.

  3. Size of file.

  4. Creation Date: The date and time on which file was created.

  5. Last Access Date: The date and time on which the file was last accessed or last used.

Removal

You can remove these file by either individually selecting them or pressing the Select All button. You can at any time uncheck them selectively or by pressing the Unselect All button. After you have made the selection you can remove these files from your system by pressing the "Delete" button. System Cleaner and Optimizer will remove these files from your System in either of there modes you specify in the options

  1. Direct removal from your system: Once deleted recovery is very hard and special tools are to be used.

  2. Move Files to Recycle Bin: Moves the files to the Recycle Bin of Windows. It is a safer approach and is highly recommended. You can then empty the recycle bin to remove the files. Here you have a chance to recover a file.

  3. Move Files to a folder: Moves the files to a folder you specify. Files are moved from there original location to the folder.


Selecting Drives to Scan

You can select and customize the System Cleaner and Optimizer search to specific drives. You can do this by pressing the Options -> Drives from the main Window of System Cleaner and Optimizer. There you will see all the drives on your System with there Volume Name, with a check box besides them.

When System Cleaner and Optimizer is run for the first time it by default selects all the drives on your system excluding Floppy Drive and read only Drives such as CD Rom drive.

To include a drive in search process just press the Check box beside the Drive Name. To exclude the drive from the search process just uncheck the list box.


Selecting the files search

You can select and customize the System Cleaner and Optimizer search for files. By default System Cleaner and Optimizer and optimizer will search for following files:

  1. *.~* ~*.* *.??~ *.--- *._mp : Temporary Files

  2. *.chk : Scandisk lost clusters

  3. *.bak *.old *.syd : Backup files

  4. *.gid : Help file search index.

  5. mscreate.dir : Microsoft Setup temporary files

  6. *.nch *.pch *.ncb *.exp: Visual Studio Temporary files.

  7. *.wri : Readme files

You can at any time modify or customize this list. We want to make note here that adding or editing the existing file types can lead to hazardous results if you are not experienced or comfortable with such matters (you should have at least working knowledge of DOS). Please note that a "*" sign means all the part of filename. A "?" denotes a single letter of file name. Please also note that file names in windows are not case sensitive. So let’s consider an example.

*.chk on the above means search for all the files whose extension is chk. So it could be File0001.chk File0002.chk all are valid candidates.

??.chk means to search all the files whose extension is chk but filename must be only two letters long. So FI.CHK is a valid but File0001.chk is invalid as file name is more than two letters.

C*.Chk means to search for all the files on your hard disk that begins with "C" and have a CHK extension.

*, *.* : Means all the files on your hard disk irrespective of extension. Be careful.

You cannot mix * and ? in one search like "c*s??.*" . It will be ignored.

You can Add Edit and Remove the files using the above search rules.

  • Add Button: Add a new filename with extension you want to search.

  • Edit Button: Select an exiting filename and press the Edit button to modify the search extension.

  • Remove: You can remove a search by selecting it and pressing the remove button. We recommend you to disable it by pressing the check box instead of removing it from the list box.


Specifying the folders to be skipped from search

Sometimes you may wish to exclude files contained in a certain folder from a search. May be it may contain some important documents or any other reason you wish that that folder should not be touched during the search.

Just press the option in the System Cleaner and Optimizer Window and select folders. Here you will see a list with name "Folder to skip from search…". Press the add button a window will appear showing you all the drives and folders in your system. Browse to your folder. Select that folder with your mouse and then select the button labeled "Ok". Your folder will be added to the list of safe folders. System Cleaner and Optimizer will not search this folder and all the folders beneath it.

At any time you feel that you want to include that folder in the scan process just select that folder and press the remove button to remove folder name from the safe list. Now all the future searches will include this folder in the search process.


Other Considerations

Besides all other options you can also customize other important aspect of Search process. Just press the option in the System Cleaner and Optimizer Window and select Others. You will see the following options as describe below.

Find Files that have not been accessed since last xx months

Using this option you can instruct System Cleaner and Optimizer to search for files that have not been access since last xx months. Thus sometimes you also want some very old files to be deleted from your computer with affecting the new files.

Skip Read only and System Files

Using this option you can instruct System Cleaner and Optimizer to skip the read only and System Files. This setting will override all others and if a file is read only or has System Attributes set it will not be included in the search process.

Find Zero Length Empty Files

Zero Length files are the files which contain no data in them but they still use precious resource on your hard drive. These files could be safely removed.

Find Shortcuts that do not point to valid Targets

Using this option you can instruct System Cleaner and Optimizer to search for shortcuts which do not point to a valid target. This is mostly caused when you uninstall the program and it does not remove everything from your system. Thus an applications program file could be deleted but its shortcut is still in your start menu. This is a safe option and should always be used to remove invalid shortcuts.


Safety Options - How to remove invalid files

System Cleaner and Optimizer removes invalid files using any one of these three modes you specify in the options.

Permanent Direct Delete of Files

This is the permanent method of removal files. Files removed in this manner should be inspected carefully because it will be extremely difficult to undelete them once this type of removal is performed. Use this method only if you are sure the files in question are absolutely no longer needed.

Move Files to Recycle Bin

This is the safest and recommended method of removal of files. When removal is performed this way files are moved to Recycle Bin. Files remember there information such as there original store location and there last access date and time. Thus you can always recover the files from the Recycle Bin. But remember, files still occupy a space on your hard disk and it could only be freed unless you empty Recycle Bin.

Moving to a Specified Folder

Sometimes, rather than deleting files it is useful to separate and move them into a specific folder for later study. Files removed in this way do not remember there original store location or there data and time. Some times they have to be renamed, if a file with same name exists in the Move to Folder.

You are advised to be extremely careful about the methods used to remove the files. Always have a current backup of your system before performing any of these procedures. Systweak Inc. will not be responsible for lost files, data, or loss of information.


Introduction to System Files Backup and Restore

System Files Backup and Restore assists you in backing up system files and restoring them in case of System Failure. Thus you can always revert back to last known good configuration and minimize the chances of bad software installations and viruses.

At present it support backing up only the Windows Registry System Files and Per User Registry Settings.

Advantages of System Files Backup and Restore :

  • Make the complete backup of Windows Registry.

  • Avoids the chances of bad software installations.

  • Minimize the chances of Viruses.

  • Lets you make the test trial installations by first making backup and restoring them later.

  • Only per user backup of Windows Registry with the facility to Import data of other users.


Backup Process

Backup is only a simple one step process. To backup your system files on the main window of System Files Backup and Restore press the Backup button. Pressing the backup button will show Backup windows over the main screen. (You can see the main screen by again pressing backup). Just press the Start button to initiate the Backup Process.

Backup window also have some additional features.

Create an Emergency Boot Disk

System Files Backup and Restore allows you to create an emergency recovery boot disk. Please note that on Windows NT/2000/XP boot disk will only store system boot files to facilitate simple boot up from hard disk. When you press Create Emergency Boot Disk it will show dialog asking to format a floppy. Only 1.44 MB floppies are supported at this time. It will format the floppy and copy the required System Files on the disk.

Where are Backup System Files Stored

By default System Files Backup and Restore stores the backup in the directory where it is installed. If it cannot create the files in the directory it will store files in the "My Documents" folder. In the last it will try to store boot files in the c: drive. You can override this default behavior by specifying the directory where backups will be stored. If there is no space on the folder where you have the backups it will revert back to default behavior.

Where are Backups…

Once you backup is successful an entry is made in list of Restore Window. It shows date and time of Backup and backup path.

Notes:

  1. System Files Backup and Restore will only backup System Registry files of the current logged on user only. This is an important restriction on Windows NT/2000/XP based systems. On Windows 95/98/ME it backups all the users registry files.

  2. On Windows NT/2000/XP you must have Backup and Restore privilege to backup files. Ask you administrator for giving you these privileges.

  3. While backing up registry, registry accessed is locked to prevent corruption. So you may feel little bit slowdown or some application will appear to slowdown. It is perfectly normal and everything will revert back to normal as the backup process completes.

  4. Successful backups are shown on Restore Window in the backup lists.


Importing old backups or backup of other users

You can import old backups, or backups made by other users on your computer. You can do this by pressing the locate Button on the main window System Files Backup and Restore. It also allows you to import old backups made during previous operating install. It even allows you to import backups of other computers to be restored on your computer.

System Files Backup and Restore stores its entire backup database in one file called info.arb. When you press "…" button it will open a file open dialog. Enter here the place where this file is stored. If the file is not listed already in the backup database it will be imported.

NOTE: This is a very powerful and sensitive feature of System Files Backup and Restore. It should be used with utmost care and precaution. If not used properly it may give unexpected results.


Restore Process

Restore is a simple process. Press the Restore button on the main Window of System Files Backup and Restore. You will see a list with backup records with complete date and time of backup. Select the backup you want to restore and press the restore button. Restore button will ask that it requires to Restart the system to complete the restoration process. When you press yes your system will be restarted with new backup applied.


Introduction - Registry Cleaner and Fixer

Over time, the windows database "the registry" in which Windows and other applications store information can begin to hold data that is no longer valid. Such information links points to a location where there was a file, but the file is no longer there. Often such invalid links occur because programs uninstalled do not completely remove their registry entries, programs were not correctly uninstalled by the user, a user views a file attached to email without saving them to disk first, and applications have been moved without uninstalling and reinstalling them. This invalid data eventually begins to clutter your Registry, slowing Windows down and causing other possible problems.

The Registry Cleaner and Fixer will cleanup and streamline your Registry by finding and removing these invalid data references. Invalid links are common in system registry, and it is always a good idea to clean them out regularly.


When should I use Registry Cleaner and Fixer

Windows store each and every action of user in the windows registry, such as what files are opened by the user, his recent documents. Over time, this information becomes outdated and irrelevant causing the Windows Registry to contain irrelevant information.

To solve all these problems we recommend you to go for Registry Cleaner and Fixer:

  • Every 30 days.

  • When new software is installed.

  • When existing software is uninstalled or removed.


How to use Registry Cleaner and Fixer

The default options of Registry Cleaner and Fixer are best. You only have to press the Start button and it will start its hard work. It will search the entire registry for a links pointing to a file and then searching your hard disk for that file. Registry Cleaner and Fixer is the only tool that has intellisense search technology. It will show you in a well formatted list the registry key name, with its invalid file name. You can at any time stop the search process by pressing the stop button.

After the search is complete Registry Cleaner and Fixer will show you a complete list of invalid registry keys it has found. You can then check the items you want to delete or press select all to select all the items and press the delete button to delete the keys. An undo file is created whenever you delete an item from Registry. You can manage your undo information by pressing the Undo button and can selectively undo any items.


Setting Up Options - What to search

You can set options in Registry Cleaner and Fixer for what to scan in the registry. They are described as follows:

Activex OLE COM Sections

Registry Cleaner and Fixer will search for currently installed COM and Activex objects. Please note that searching Activex OLE COM sections can take several minutes. Registry Cleaner and Fixer is the only tool that does complete heuristic analysis of Activex OLE COM sections as they are interlinked and interdependent.

User Software Settings

Registry Cleaner and Fixer will search for software settings of current logged in user. System Registry is divided into two parts per user settings and settings for system as a whole. So only the currently logged in user settings will be searched for invalid references.

System Software Settings

Registry Cleaner and Fixer will search for all the system software settings. They are not for current user but are applicable for whole system. Most of the Windows stuff is hidden here. Searching System Software Settings can take several minutes.

Shared DLL's Section

Registry Cleaner and Fixer will search for orphan reference to System Shared Dll’s. Windows keeps list of system Dlls with there path in registry. Some times due to installation / uninstallation of software it may contain invalid reference links.

Fonts Section

Many users install new font faces and remove them if they do not like it. Many software comes bundled with there own fonts. Windows store each reference to a font in the registry. If it is not cleaned regularly, Windows can get confuse and start showing different font faces instead of what you expect.

Invalid File Associations

Windows remembers which program to use to open what type of files. Example notepad to open text files. This is known as file associations. Sometimes a file association is created but its opening program is removed or deleted. Thus windows gets confused when you open these files or will show icon associated with the program, with the program no longer installed. Registry Cleaner and Fixer will search for such invalid file associations and report them to you.

Run Sections

Many programs run from different location on windows startup, such as Startup folder, and Run Sections from the registry. If a program is not properly uninstalled it will show up in the Run sections of Windows Registry. Every time you start your system a message box may pop up that windows have not found a program.

Sound and Appevents

Windows gives you facility to associate an application event with a sound event. Like a ding dong sound you hear when Application shows you a Message Box. If a sound file used for that event is missing Applications and Windows have to wait in confusion and sometimes may show incorrect results. Such as playing irregular sounds.

Uninstall Section

It contains currently installed programs which are shown in Add Remove applet from the Control Panel. Some times you might already have uninstalled a program but it may still show itself in the registry. Registry Cleaner and Fixer will report you these errors.

Help Section

It contains currently installed help files by Windows and other programs. It may contain incorrect entries of programs you might already have uninstalled.

Virtual Device Drivers and Services

Device Drivers are important software files that Windows loads into memory when it starts up in order to support specific hardware like printers. Symptoms of having invalid device drivers include messages upon startup similar to: "This file is either referenced in your Registry or your Win.ini... You should either remove this reference or reinstall this file’s associated application...". Sometimes if a problem is too graved windows can failed to start up normally.

Application Paths Section

Many applications store there programs association with their installed directory. Sometimes they are moved or changes such reference keep cluttering the registry. When ever you launch a program Windows first search Application Paths Section. Missing entries will only increase such search time.


Starting Registry Cleaner and Fixer

It can’t be simple than this. Just press the start button and Registry Cleaner and Fixer will start its search process. Search process depends upon the options you have set. Normally it will take few minutes to perform full scan on all hard disks on your System. During the scan process you will see the keys analyzed by the Registry Cleaner and Fixer.


Stopping Registry Cleaner and Fixer

Sometimes you need to stop the search process. Just press the stop button and Registry Cleaner and Fixer will stop there and then. After stopping Registry Cleaner and Fixer will show you the invalid keys and links it has found in the registry till now. Registry Cleaner and Fixer is a completely safe tool, it searches registry in read only mode and will not even touch the contents or modify and delete the registry entries unless you tell it to do so.


Removing Invalid Data

After the scan is complete Registry Cleaner and Fixer will show you complete list of invalid keys it has found. To remove the keys you have the option of either selecting each key and press the Delete Button or Press the Select All and Delete button to delete all the invalid keys.

When ever you press Delete button an Undo file is created in your My Documents folder which you can undo at any time either from Registry Cleaner and Fixer or from My Documents folder.

You are advised to be extremely careful when deleting the registry entries. Even though you have option to undo. Always have a current backup of your system (using the System files Backup and Restore tool). Systweak Inc. will not be responsible for lost files, data, or loss of information or any other damages.


Undo Information

Registry Cleaner and Fixer provides undo support. Whenever you delete any registry key an undo file is created in your My Documents Folder. To see what all the changes have been made in your registry by Registry Cleaner and Fixer just press the Undo Button. You will see a list box with Data and Time of changes with a file name containing the undo information.

Undo file is created in your My Documents Folder as follows :

|\My Documents

|-\AdvSysOpt

|- - -|\ RegCleanUndo

If because of some reason Advance System Optimizer cannot create Undo File in My Documents folder an Undo file is created in the Current Directory.

You can do a selected operation by selecting a item in the list and pressing the Undo Button. It will cause the undo information to be entered in your registry.

If you are satisfied after cleaning your registry just select that undo information and press the Remove Sel… button to remove that undo information. It will delete the Undo File so be cautious.


Introduction - Privacy Protector and Evidence Eraser

You can use the Privacy Protector to maintain your personal privacy. Many things that you do with your computer are tracked and stored, and sometimes exposed to prying eyes over the Internet or through other methods without your knowledge. For example every click you make on Windows 98 (and all windows after 98/ME/2000/XP and Windows NT with IE4) Start Menu is logged and stored permanently in Windows Registry. Things such as the web sites you visit, the files you view and download over the Internet, the applications and files you access on your hard disk, the programs your run, and many other presumably private actions are automatically tracked and even distributed to other individuals.

You can ensure your privacy and keep sensitive information secure by regularly eliminating these tracks that you leave behind.


When to use Privacy Protector and Evidence Eraser

It is best to use this tool daily once before you shut down your computer. Using Privacy Protector and Evidence Eraser regularly, you can be sure that no one is able to get at any personal information that may be stored on your system or discover what programs you have been using, or where you have been on the Internet.

We recommend using Protector and Evidence Eraser:

  • Daily

  • Whenever you leave your computer unattended for a while.

  • When ever you feel like using it. It is the fastest Privacy Protector.


Important Laws to keep your computer safe and secure

  1. If a bad guy can persuade you to run his program on your computer, it’s not your computer anymore.

  2. If a bad guy can alter the operating system on your computer, it’s not your computer anymore.

  3. If a bad guy has unrestricted physical access to your computer, it’s not your computer anymore.

  4. If you allow a bad guy to upload programs to your Web site, it’s not your Web site anymore.

  5. Weak passwords trump strong security. The most common password is "password".

  6. Regular use of Systweak Privacy Protector and Evidence Eraser.

Rule Number 1-5 are taken from Security Guidelines as issued by Microsoft Corporation.


Using Privacy Protector and Evidence Eraser

Privacy Protector and Evidence Eraser is very simple to use. Just press the Start-Cleanup Button and you are ready to go. As soon as you press the Start-Cleanup Button you will see the window shows what it is currently cleaning up and progress of clean up. Generally clean up could finish in less than a minute. If you want a detail log of the clean up press the check box and you will see a detail log of what Privacy Protector and Evidence Eraser is currently cleaning.

Besides you can also use Privacy Protector and Evidence Eraser in Wizard mode. Under this mode Privacy Protector and Evidence Eraser will show you each option you can clean and then in the end it will start the Clean up Process based on your settings.

At any time you feel you can press the Stop Button to stop the clean up process.


Windows and History Traces

Windows keep track of user actions and store them. These tracks contain the sensitive info such as which item user selects the most, user click history, which folders were opened etc.

Here are options available under Windows and History Traces.

Delete Windows Explorer Registry Streams

Streams are history kept by Windows about your Explorer window settings. If you need to eliminate history tracks of your file and folder accesses from Windows explorer, it is recommended that you check these items. Please not then when Windows Explorer Registry Streams are deleted Windows Explorer will show appearance it shows when first booted with default preferences. This is perfectly Normal and reduces the clutter out of your Windows Registry.

Delete Windows Desktop Registry Streams

It deletes the history track kept by Windows of what all you do on your desktop.

Delete User Track History by Windows

Windows keep track of user actions and store them. These tracks contain the sensitive info such as which item user selects the most, user click history, which folders were opened etc. It cleans all such traces.

Delete Application Logs

Windows 98 and above keeps the log of how often you run your programs. This option enables cleans these traces and logs and frees the precious disk space.

Delete Common Dialogs Open-Save History

Windows keeps the track of files you open, you save using the common File Open and File Save Dialog. That’s why sometimes when you want to open a file it starts at the place where you have opened the file last.

Delete Windows Media Player URL’s

Windows Media Player remembers which movies you have viewed, which songs you have heard, from where. If you view movies from the internet there names and website address. You can use this option to delete all these unwanted tracks about you.


Internet Related Traces

Internet programs store lot of information about you, such as history of sites visited, cookies by web site to track user browsing habits and whole lot of files for later offline browsing.

Here are options available under Internet Traces.

Delete typed URL History

Internet Explorer and all other browsers keep record of URLs you type in there Address Bar. So when ever you type a address it shows which URLs you have visited past in a drop down list. This option clears these typed URLs.

Delete the cookies to ensure privacy

A cookie is a small data file sent to you by a web site and it is stored on your computer. Cookies were originally meant to speed up the process of logging on a web site that you had previously visited. But now beside the above objective they are used for tracking user browsing habits, such as which sites you visit, whether you have purchase any product over internet, providing marketing companies with your personal information, tracking which country you reside.

Delete History Records to a website

Each time you visit a web site, either by typing the site address into your browser or through a click on a link that takes you to another website, the name and location of the site is stored by your web browser locally on your hard drive. Though it provides a good way to see where you have been on internet, but it is also very much revealing. As it contains all the information as to each and every site you have visited even if you did not intend to go there again.

Delete Temporary cache

Whenever you visit to a website, pages, graphics, are stored on your computer for faster access next time you visit that site again. Now it contains all the information which sites you have visited or sometimes whole sites on your PC. It is very much revealing and consumes too much disk space. It is always better to clean them regularly.

Where ever possible apply the above settings to Netscape and Opera browsers also

If you use alternate browser to Microsoft Internet Explore such as from Netscape and from Opera. Privacy Protector and Evidence Eraser allows you to apply the above settings to these other two common browsers also.


Explorer and Start Menu Traces

Start Menu and Windows Explorer stores lot of secret data about the user, such as recent documents, user click history, which programs user runs most etc.

  • Clear the Start Menu Run History: Start Menu stores the program you have run from it. Just Click Start Menu and then Run and you will see a drop down list of programs you have run.

  • Clear the Find File History: Windows remembers for the files you have searched on your system using the Find File Tool.

  • Clear the Find Computer History: If you often search for other computers over a network, a record is maintained. It clears that record.

  • Clear Start Menu Click History: Windows remember what you have clicked on your start menu with date and time, which program was started as a click, the sorted layout of start menu, personalized menus.

  • Clear Recent Documents: Start Menu stores the documents or files you have opened recently. Though helpful it will also reveal on which documents you are working correctly.

  • Clear The Network Browsing History: It clears the recent networks you have been browsing.

  • Clear Windows Explorer OCX Streams: Windows keep list of most commonly used OCX controls, there information, there frequency of use.

  • Clear Printer Streams: Windows stores information which documents you have printed, there information, if you have multiple printers on which printer etc.


Files and Folder Traces

Windows and other programs leave traces on your system in the form of temporary files, log files, failed installations. These files may contain sensitive data.

  • Delete Recent Document Short Cuts: Windows Store Recent Documents in two places, in Registry and your hard disk. Recent Documents are the documents or files you have opened recently. Though helpful it will also reveal on which documents you are working correctly.

  • Delete Application logs by Windows: Windows store the application logs about which program was installed on your system, number of times it is run at different places on your System.

  • Remove Temporary Files created by Windows: Temporary files are the data files used by programs to store data temporarily. It is the duty of program creating these files to remove them. But most of the times they are left and could contain the sensitive data.